package intrinsic;

public class Date extends Object {

	/** Accessors */
	public double secondsUTC;
	public double dayUTC;
	public double minutes;
	public double fullYear;
	public double millisecondsUTC;
	public double month;
	public double monthUTC;
	public double seconds;
	public double minutesUTC;
	public double milliseconds;
	public double hoursUTC;
	public double timezoneOffset;
	public double hours;
	public double day;
	public double fullYearUTC;
	public double time;
	public double dateUTC;
	public double date;

	/** Variables */

	/** Constants */
	public static final int length = 0;

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public Date() {
}

public Date(long arg0) {
}

public Date(String arg0) {
}

public Date(int arg0, int arg1) {
}

public Date(int arg0, int arg1, int arg2) {
}

public Date(int arg0, int arg1, int arg2, int arg3) {
}

public Date(int arg0, int arg1, int arg2, int arg3, int arg4) {
}

public Date(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5) {
}

public Date(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6) {
}


/** Static Methods */
public static native double UTC(Object arg0, Object arg1);
public static native double UTC(Object arg0, Object arg1, Object arg2);
public static native double UTC(Object arg0, Object arg1, Object arg2, Object arg3);
public static native double UTC(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4);
public static native double UTC(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4, Object arg5);
public static native double UTC(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6);
public static native double parse(Object arg0);

/** Methods */
public native long getTime();
}
